import { geoPath } from 'd3';

const path = geoPath();

export const Marks = ({
  data: { nation, states, counties, id },
  fipToScore,
  educationData,
  colorValue,
  colorScale
}) => (
  <g className="marks">
    <path className="nation" d={path(nation)} />
   {/*   <path className="counties" d={path(counties)} />  */}
   
    {id.map(item => {
      console.log(item);
      //console.log(feature.properties.name);
      const d = fipToScore.get(item);
      //console.log(colorScale);
      return <path fill={d ? colorScale(colorValue(d)) : missingDataColor }  d={path(counties)} />
    })}
    

    <path className="states" d={path(states)} />
  </g>
);
