import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const educationUrl = "https://cdn.freecodecamp.org/testable-projects-fcc/data/choropleth_map/for_user_education.json";

export const useData = () => {
  
  const [data, setData] = useState(null);
//console.log(data);
  
  
  useEffect(() => {
    json(educationUrl).then(setData);
    
  }, []);

  return data;
};